ExpKeys.species = "mouse";
ExpKeys.genetics = "PV-Cre:Ai-32"; 
ExpKeys.subject_id = "M322";
ExpKeys.hemisphere = "Left";
ExpKeys.experimenter = "Manish";
ExpKeys.weight = 41; %in grams;
ExpKeys.probeDepth = 3.4; %in mm;
ExpKeys.date = "2022-07-22";
ExpKeys.target = "vStr";
ExpKeys.light_source = "Prizmatix LED";
ExpKeys.wavelength = 455; %in nm;
ExpKeys.probeType = "Cambridge Neurotech Assy-37 P1 Fiber C";
ExpKeys.probeID = "8944";
ExpKeys.HSID = "";
ExpKeys.patch_cord_dia = 500; %in microns
ExpKeys.patch_cord_NA = 0.66;
ExpKeys.probe_fiber_dia = 200;
ExpKeys.probe_fiber_NA = 0.5;
ExpKeys.max_power = 17.5; %in mW
ExpKeys.output_power_calib = [1, 2, 3, 4, 5, 6, 7, 8]; %in mW
ExpKeys.dial_values_calib = [0.24, 0.62, 1.02, 1.42, 1.86, 2.32, 2.82, 3.36];
ExpKeys.dial_value = 0.62;
ExpKeys.stim_mode = "variable ISI"; % if fixed then just used ISI, if variable then ISI is between 0-1500ms  
ExpKeys.ISI = 3; %in seconds
ExpKeys.short_stim_pulse_width = 0.001; %in seconds
ExpKeys.long_stim_pulse_width = 0.05; %in seconds


% NLX Digital codes
ExpKeys.pre_trial_stim_on 		= "TTL Input on AcqSystem1_0 board 0 port 3 value (0x0008).";
ExpKeys.trial_stim_on 			= "TTL Input on AcqSystem1_0 board 0 port 3 value (0x0010).";
ExpKeys.post_trial_stim_on 		= "TTL Input on AcqSystem1_0 board 0 port 3 value (0x0020).";
ExpKeys.long_stim_on 			= "TTL Input on AcqSystem1_0 board 0 port 3 value (0x0040).";
ExpKeys.stim_off				= "TTL Input on AcqSystem1_0 board 0 port 3 value (0x0000).";

% Start_Stop Times
ExpKeys.pre_baseline_times 		= [1658513641.569991, 1658513972.369988];
ExpKeys.pre_stim_times 			= [1658513979.251035, 1658514131.314819];
ExpKeys.stim_times 				= [1658514131.314819, 1658517385.894945];
ExpKeys.post_baseline_times 	= [1658517385.894945, 1658517638.157077];
ExpKeys.post_stim_times 		= [1658517638.157077, 1658517773.293274];
ExpKeys.long_stim_times			= [1658517773.293274, 1658517844.683561];
ExpKeys.recording_times			= [1658513641.569991, 1658517844.683561];

% Notes
ExpKeys.notes = "";
ExpKeys.isSpikeSorted = "Yes";
ExpKeys.isReferenceRecordedSeparately = "Yes";
ExpKeys.hasSpecialStim = "No";
ExpKeys.LFP_channels = {'LFP3.ncs', 'LFP15.ncs', 'LFP18.ncs', 'LFP29.ncs'};
ExpKeys.ref_channels = {'R1.ncs', 'R4.ncs'};
ExpKeys.goodLFP = {'LFP18-R4'};
ExpKeys.needsInterpolation = true;
ExpKeys.artifact_window = 0.0025; %in seconds
ExpKeys.latency = [1:5];
ExpKeys.goodTrials = [[1,1500];[1,1500]];
ExpKeys.goodCell = {'M322-2022-07-22-TT05_2.t', 'M322-2022-07-22-TT07_2.t'};

